count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=id&page=2
previous: null
results:
- approved_revision: null
  id: 6
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          message:
            default: ''
            description: Message to log to the console
            type: string
        required:
        - message
        title: Log a message to the console
        type: object
      id: 1
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/console-log/implementation/sha384-dwDUzk7p67hyOW81gMBIWnhrBFoOvbRvrt2ftxkMrqBjbADVA_1TjHuv0i7bbFrN/
      name: console-log
    approval_request: null
    arguments:
      message: success
    capabilities:
    - action.console-log
    comment: ''
    creator: null
    date_created: '2016-08-09T00:56:27.717266Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: normandy.locale in ['en-US', 'fr']
    filter_expression: normandy.locale in ['en-US', 'fr']
    filter_object: []
    id: 1438
    identicon_seed: v1:6
    metadata: {}
    name: Locale Filtering Tests
    recipe:
      approved_revision_id: null
      id: 6
      latest_revision_id: 1438
    updated: '2017-02-01T23:53:26.642116Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 7
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          message:
            default: ''
            description: Message to log to the console
            type: string
        required:
        - message
        title: Log a message to the console
        type: object
      id: 1
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/console-log/implementation/sha384-dwDUzk7p67hyOW81gMBIWnhrBFoOvbRvrt2ftxkMrqBjbADVA_1TjHuv0i7bbFrN/
      name: console-log
    approval_request: null
    arguments:
      message: success
    capabilities:
    - action.console-log
    comment: ''
    creator: null
    date_created: '2016-08-09T00:55:45.815142Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: normandy.channel == 'aurora'
    filter_expression: normandy.channel == 'aurora'
    filter_object: []
    id: 1432
    identicon_seed: v1:7
    metadata: {}
    name: Release Channel Filtering Test
    recipe:
      approved_revision_id: null
      id: 7
      latest_revision_id: 1432
    updated: '2017-02-01T23:53:26.583126Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 26
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          message:
            default: ''
            description: Message to log to the console
            type: string
        required:
        - message
        title: Log a message to the console
        type: object
      id: 1
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/console-log/implementation/sha384-dwDUzk7p67hyOW81gMBIWnhrBFoOvbRvrt2ftxkMrqBjbADVA_1TjHuv0i7bbFrN/
      name: console-log
    approval_request:
      approved: true
      approver:
        email: mkelly@mozilla.com
        first_name: ''
        id: 2
        last_name: ''
      comment: Useful for testing if recipes are being sent out.
      created: '2017-04-12T20:42:15.429144Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      id: 9
      revision:
        id: 1422
        recipe_id: 26
    arguments:
      message: SHIELD active
    capabilities:
    - action.console-log
    comment: ''
    creator: null
    date_created: '2017-04-12T20:23:26.460022Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: true || "testing if approvals break signing"
    filter_expression: true || "testing if approvals break signing"
    filter_object: []
    id: 1422
    identicon_seed: v1:26
    metadata: {}
    name: deploy test
    recipe:
      approved_revision_id: null
      id: 26
      latest_revision_id: 1422
    updated: '2017-04-12T20:23:26.464021Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 35
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Shield_Studies
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_6
      surveyId: security-advisor-1
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T15:50:58.435695Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   (\n        [normandy.userId]|bucketSample(2*2,\
      \ 3, 1000)\n        || [normandy.userId]|bucketSample(997, 3, 1000)\n    )\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n    && !normandy.syncSetup\n)"
    filter_expression: "(\n   (\n        [normandy.userId]|bucketSample(2*2, 3, 1000)\n\
      \        || [normandy.userId]|bucketSample(997, 3, 1000)\n    )\n    && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.channel\
      \ == 'release'\n    && !normandy.syncSetup\n)"
    filter_object: []
    id: 1398
    identicon_seed: v1:35
    metadata: {}
    name: Shield Study 6 - Security Advisor
    recipe:
      approved_revision_id: null
      id: 35
      latest_revision_id: 1398
    updated: '2017-02-01T23:53:25.803006Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 36
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Your Firefox is out of date. Update now to keep it running its best.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=43test3runbest
      repeatOption: once
      surveyId: out-of-date-3
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-02T16:46:17.576677Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1*2, 1000, 1000)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version >= '42'\n   && normandy.version < '44'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1*2, 1000, 1000)\n  \
      \ && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version >= '42'\n   && normandy.version < '44'\n)"
    filter_object: []
    id: 1409
    identicon_seed: v1:36
    metadata: {}
    name: Out of date test 3 - Run Best
    recipe:
      approved_revision_id: null
      id: 36
      latest_revision_id: 1409
    updated: '2017-02-02T16:46:17.582240Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 37
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Your Firefox is out of date. Update now for better performance and
        security.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=43test3perfsec
      surveyId: out-of-date-3
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-16T22:44:56.312856Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1*2, 1000, 1000)\
      \ \n   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version >= '42'\n   && normandy.version < '44'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1*2, 1000, 1000) \n \
      \  && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version >= '42'\n   && normandy.version < '44'\n)"
    filter_object: []
    id: 1419
    identicon_seed: v1:37
    metadata: {}
    name: Out of date test 3 - Performance/Security
    recipe:
      approved_revision_id: null
      id: 37
      latest_revision_id: 1419
    updated: '2017-02-16T22:44:56.316558Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 38
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Shield_Studies
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_4
      surveyId: site-enhance-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-15T23:43:05.940033Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3, 3, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3, 3, 1000)\n \
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1395
    identicon_seed: v1:38
    metadata: {}
    name: Shield Study 4 - Site Enhance
    recipe:
      approved_revision_id: null
      id: 38
      latest_revision_id: 1395
    updated: '2017-02-01T23:53:25.777969Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 39
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Bumping the sample
      created: '2017-08-09T17:32:22.835645Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 142
      revision:
        id: 1391
        recipe_id: 39
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Firefox-Daily-HB
      surveyId: heartbeat-by-user-first-impression
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-08-09T17:32:11.414315Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n   &&  !normandy.isFirstRun\n)"
    filter_expression: "(normandy.locale in [\"en-AU\",\"en-GB\",\"en-CA\",\"en-NZ\"\
      ,\"en-ZA\",\"en-US\"]) && (normandy.channel in [\"release\"]) && ((\n    [normandy.userId,\
      \ normandy.recipe.id]|stableSample(0.0005)\n    && normandy.locale in ['en-US',\
      \ 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.channel == 'release'\n\
      \   &&  !normandy.isFirstRun\n))"
    filter_object:
    - locales:
      - en-AU
      - en-GB
      - en-CA
      - en-NZ
      - en-ZA
      - en-US
      type: locale
    - channels:
      - release
      type: channel
    id: 1391
    identicon_seed: v1:39
    metadata: {}
    name: Release - HB General EN*
    recipe:
      approved_revision_id: null
      id: 39
      latest_revision_id: 1391
    updated: '2017-08-09T17:32:11.420468Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 40
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Go to survey →
      learnMoreMessage: ''
      learnMoreUrl: ''
      message: Thanks for testing the SHIELD addon, can you answer some questions?
      postAnswerUrl: https://docs.google.com/a/mozilla.com/forms/d/e/1FAIpQLSevCaCsUJmP3k-VOYFDvtfBOtQD6FzKC6TjkjbafthHcll1UQ/viewform
      surveyId: system-addon-test
      thanksMessage: Thanks for the help!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T18:17:48.520446Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: telemetry.main != undefined
    filter_expression: telemetry.main != undefined
    filter_object: []
    id: 1257
    identicon_seed: v1:40
    metadata: {}
    name: Mythmon's Normandy add-on test - main
    recipe:
      approved_revision_id: null
      id: 40
      latest_revision_id: 1257
    updated: '2017-02-01T23:53:25.814127Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 41
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://addons.mozilla.org/firefox/shield_study_5?utm_campaign=shield-study-context-graph-v1
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_5
      surveyId: context-graph-v1
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-28T23:33:13.131980Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3*2, 5, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.country == 'US'\n    &&\
      \ normandy.channel == 'release'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3*2, 5, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.country == 'US'\n    &&\
      \ normandy.channel == 'release'\n)"
    filter_object: []
    id: 1393
    identicon_seed: v1:41
    metadata: {}
    name: Shield Study 5 - Context Graph
    recipe:
      approved_revision_id: null
      id: 41
      latest_revision_id: 1393
    updated: '2017-02-01T23:53:25.559372Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 42
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: ''
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: ''
      surveyId: heartbeat-by-user-first-impression
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-02T15:58:45.643860Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'beta'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'beta'\n)"
    filter_object: []
    id: 1381
    identicon_seed: v1:42
    metadata: {}
    name: Beta- HB General EN* - Default
    recipe:
      approved_revision_id: null
      id: 42
      latest_revision_id: 1381
    updated: '2017-02-02T15:58:45.649227Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 43
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: ''
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: ''
      surveyId: 'heartbeat-survey-recruitment '
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.759829Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1118
    identicon_seed: v1:43
    metadata: {}
    name: Release - HB Surveys EN*
    recipe:
      approved_revision_id: null
      id: 43
      latest_revision_id: 1118
    updated: '2017-02-01T23:53:25.759848Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 45
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: ''
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Firefox-48-49
      surveyId: heartbeat-by-user-first-impression-new-release
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.750613Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.channel == 'release'\n   && normandy.version in ['48.0.0', '48.0.1',\
      \ '48.0.2', '48.0.3', '49.0.0', '49.0.1', '49.0.2', '49.0.3']\n)"
    filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.channel == 'release'\n   && normandy.version in ['48.0.0', '48.0.1',\
      \ '48.0.2', '48.0.3', '49.0.0', '49.0.1', '49.0.2', '49.0.3']\n)"
    filter_object: []
    id: 1119
    identicon_seed: v1:45
    metadata: {}
    name: Firefox Release Survey (EN, 48-49, Release) - Release Survey
    recipe:
      approved_revision_id: null
      id: 45
      latest_revision_id: 1119
    updated: '2017-02-01T23:53:25.750631Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 46
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Update Firefox to keep your browsing safe and secure.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=43test2updatesafe
      surveyId: out-of-date-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.741480Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_object: []
    id: 1120
    identicon_seed: v1:46
    metadata: {}
    name: Out of Date Test 1 - Update Firefox to keep your browsing safe and secure.
    recipe:
      approved_revision_id: null
      id: 46
      latest_revision_id: 1120
    updated: '2017-02-01T23:53:25.741498Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 47
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Your Firefox is out of date. Update now to keep it running its best.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=43test2runbest
      surveyId: out-of-date-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:26.651332Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_object: []
    id: 1109
    identicon_seed: v1:47
    metadata: {}
    name: Out of Date Test 1 - Your Firefox is out of date. Update now to keep it
      running its best.
    recipe:
      approved_revision_id: null
      id: 47
      latest_revision_id: 1109
    updated: '2017-02-01T23:53:26.651353Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 48
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Your Firefox is out of date. Update now for better performance and
        security.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=43test2perfsec
      surveyId: out-of-date-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:26.290244Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_object: []
    id: 1112
    identicon_seed: v1:48
    metadata: {}
    name: Out of Date Test 1 - Your Firefox is out of date. Update now for better
      performance and security.
    recipe:
      approved_revision_id: null
      id: 48
      latest_revision_id: 1112
    updated: '2017-02-01T23:53:26.290262Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 49
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Update Firefox for better performance and security. It only takes a
        minute.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=43test2onlymin
      surveyId: out-of-date-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:26.299369Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_expression: "(\n   [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version == '43.0.1'\n)"
    filter_object: []
    id: 1111
    identicon_seed: v1:49
    metadata: {}
    name: Out of Date Test 1 - Update Firefox for better performance and security.
      It only takes a minute.
    recipe:
      approved_revision_id: null
      id: 49
      latest_revision_id: 1111
    updated: '2017-02-01T23:53:26.299391Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 50
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: You are on an experimental (Beta) version of Firefox. Do you want the
        stable version instead?
      postAnswerUrl: https://www.mozilla.org/en-US/firefox/all/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=beta4ca#en-US
      surveyId: beta-upgrade-test-4-ca
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:26.281266Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.country in ['CA']\n    && normandy.channel == 'beta'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.country in ['CA']\n    && normandy.channel == 'beta'\n)"
    filter_object: []
    id: 1113
    identicon_seed: v1:50
    metadata: {}
    name: Beta Upgrade Test 4 - CA
    recipe:
      approved_revision_id: null
      id: 50
      latest_revision_id: 1113
    updated: '2017-02-01T23:53:26.281285Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 53
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_3
      surveyId: cfr-guide-1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.960202Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1115
    identicon_seed: v1:53
    metadata: {}
    name: Shield Study 3 - CFR/Guide
    recipe:
      approved_revision_id: null
      id: 53
      latest_revision_id: 1115
    updated: '2017-02-01T23:53:25.960221Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 54
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: 'Yes'
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Would you like to help improve Firefox?
      postAnswerUrl: https://x4jm4zoj.optimalworkshop.com/treejack/few
      surveyId: treejack-experiment-2
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.942390Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1117
    identicon_seed: v1:54
    metadata: {}
    name: Release - EN* Treejack Experiment 2 - Options -few
    recipe:
      approved_revision_id: null
      id: 54
      latest_revision_id: 1117
    updated: '2017-02-01T23:53:25.942412Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 55
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: 'Yes'
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Would you like to help improve Firefox?
      postAnswerUrl: https://x4jm4zoj.optimalworkshop.com/treejack/many
      surveyId: treejack-experiment-2
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.951287Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.0005)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1116
    identicon_seed: v1:55
    metadata: {}
    name: Release - EN* Treejack Experiment 2 - Options - many
    recipe:
      approved_revision_id: null
      id: 55
      latest_revision_id: 1116
    updated: '2017-02-01T23:53:25.951305Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 56
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Take Survey
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://www.surveygizmo.com/s3/2893876/Firefox-User-Research-Desktop-July-16
      surveyId: engagement-brand-survey
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:26.592528Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.002)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.002)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1110
    identicon_seed: v1:56
    metadata: {}
    name: Release - Engagement Survey EN* - Default
    recipe:
      approved_revision_id: null
      id: 56
      latest_revision_id: 1110
    updated: '2017-02-01T23:53:26.592546Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 57
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Stay on Beta
      learnMoreMessage: Were you actually looking for the stable version of Firefox?
      learnMoreUrl: https://www.mozilla.org/firefox/new/?utm_source=heartbeat&utm_medium=heartbeat&utm_campaign=keepbeta
      message: You are on an experimental (Beta) version of Firefox. Do you want to
        continue Beta testing?
      postAnswerUrl: https://www.mozilla.org/firefox/channel/#beta
      surveyId: stay-on-beta-1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.473262Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'beta'\n    && false\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'beta'\n    && false\n)"
    filter_object: []
    id: 1121
    identicon_seed: v1:57
    metadata: {}
    name: Stay on Beta Test EN* 1
    recipe:
      approved_revision_id: null
      id: 57
      latest_revision_id: 1121
    updated: '2017-02-01T23:53:25.473300Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 58
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat&utm_content=en-feedback-short1
      message: Send Firefox to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-short1
      surveyId: mobile-en-feedback-short1
      thanksMessage: Enjoy
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:19.116316Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*0, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*0, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1379
    identicon_seed: v1:58
    metadata: {}
    name: Promo - Mobile - en-feedback-short1
    recipe:
      approved_revision_id: null
      id: 58
      latest_revision_id: 1379
    updated: '2017-02-01T23:53:26.367692Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 59
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      message: Send Firefox to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-short1
      surveyId: mobile-en-nofeedback-short1
      thanksMessage: ' '
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:24.376404Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*1, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*1, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1370
    identicon_seed: v1:59
    metadata: {}
    name: Promo - Mobile - en-nofeedback-short1
    recipe:
      approved_revision_id: null
      id: 59
      latest_revision_id: 1370
    updated: '2017-02-01T23:53:26.015646Z'
  signature: null
  uses_only_baseline_capabilities: true
